/**
 * This file belongs to the YIT Plugin Framework.
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 *
 * @package YITH WooCommerce Minimum Maximum Quantity
 */

jQuery(
	function ( $ ) {

		$( '.ywmmq-rules #doaction, .ywmmq-rules #doaction2, .ywmmq-rules #search-submit, .ywmmq-rules .pagination-links, .ywmmq-rules .yith-add-button, .ywmmq-rules .yith-update-button' ).click(
			function () {
				window.onbeforeunload = null;
			}
		);

		var product_ids_row  = $( 'tr.ajax-products.product_ids' ),
			category_ids_row = $( 'tr.ajax-terms.category_ids' ),
			tag_ids_row      = $( 'tr.ajax-terms.tag_ids' ),
			value_limit_row  = $( 'tr._value_limit_override' );

		$( '#item_type' ).change(
			function () {

				var type = $( this ).val();

				switch ( type ) {
					case 'category':
						product_ids_row.hide();
						category_ids_row.show( 500 );
						tag_ids_row.hide();
						value_limit_row.show( 500 );
						break;

					case 'tag':
						product_ids_row.hide();
						category_ids_row.hide();
						tag_ids_row.show( 500 );
						value_limit_row.show( 500 );
						break;

					default:
						product_ids_row.show( 500 );
						category_ids_row.hide();
						tag_ids_row.hide();
						value_limit_row.hide();
						$( '.ywmmq-table #_value_limit_override' )
							.prop( 'checked', false )
							.val( 'no' )
							.removeClass( 'onoffchecked' )
							.change();

				}

			}
		).change();

		$( '.ywmmq-table #_exclusion' ).change(
			function () {
				if ( $( this ).is( ':checked' ) ) {
					$( 'tr._quantity_limit_override' ).hide();
					$( 'tr._minimum_quantity' ).hide();
					$( 'tr._maximum_quantity' ).hide();
					$( 'tr._step_quantity' ).hide();
					$( 'tr._value_limit_override' ).hide();
					$( 'tr._minimum_value' ).hide();
					$( 'tr._maximum_value' ).hide();
				} else {
					$( 'tr._quantity_limit_override' ).show( 500 );
					if ( 'product' !== $( '#item_type' ).val() ) {
						$( 'tr._value_limit_override' ).show( 500 );
					}
					$( '.ywmmq-table #_quantity_limit_override' ).change();
					$( '.ywmmq-table #_value_limit_override' ).change();
				}
			}
		).change();

		$( '.ywmmq-table #_quantity_limit_override' ).change(
			function () {
				if ( $( this ).is( ':checked' ) ) {
					$( 'tr._minimum_quantity' ).show( 500 );
					$( 'tr._maximum_quantity' ).show( 500 );
					$( 'tr._step_quantity' ).show( 500 );
				} else {
					$( 'tr._minimum_quantity' ).hide();
					$( 'tr._maximum_quantity' ).hide();
					$( 'tr._step_quantity' ).hide();
				}
			}
		).change();

		$( '.ywmmq-table #_value_limit_override' ).change(
			function () {
				if ( $( this ).is( ':checked' ) ) {
					$( 'tr._minimum_value' ).show( 500 );
					$( 'tr._maximum_value' ).show( 500 );
				} else {
					$( 'tr._minimum_value' ).hide();
					$( 'tr._maximum_value' ).hide();
				}
			}
		).change();

		function lock_unlock_product() {
			var variations_override         = $( '#_ywmmq_product_quantity_limit_variations_override' ),
				product_override_enabled    = $( '#_ywmmq_product_quantity_limit_override' ).is( ':checked' ),
				variations_override_enabled = (variations_override.length > 0 ? variations_override.is( ':checked' ) : false);

			if ( product_override_enabled ) {

				variations_override.removeAttr( 'disabled' );

				if ( ! variations_override_enabled ) {

					$( '#_ywmmq_product_minimum_quantity' ).removeAttr( 'disabled' );
					$( '#_ywmmq_product_maximum_quantity' ).removeAttr( 'disabled' );
					$( '#_ywmmq_product_step_quantity' ).removeAttr( 'disabled' );

				}

			} else {

				variations_override.attr( 'disabled', 'disabled' );

				$( '#_ywmmq_product_minimum_quantity' ).attr( 'disabled', 'disabled' );
				$( '#_ywmmq_product_maximum_quantity' ).attr( 'disabled', 'disabled' );
				$( '#_ywmmq_product_step_quantity' ).attr( 'disabled', 'disabled' );

			}
		}

		$( '#_ywmmq_product_exclusion' ).change(
			function () {

				if ( $( this ).is( ':checked' ) ) {

					$( '#_ywmmq_product_quantity_limit_override' ).attr( 'disabled', 'disabled' );
					$( '#_ywmmq_product_minimum_quantity' ).attr( 'disabled', 'disabled' );
					$( '#_ywmmq_product_maximum_quantity' ).attr( 'disabled', 'disabled' );
					$( '#_ywmmq_product_step_quantity' ).attr( 'disabled', 'disabled' );
					$( '#_ywmmq_product_quantity_limit_variations_override' ).attr( 'disabled', 'disabled' );

				} else {

					$( '#_ywmmq_product_quantity_limit_override' ).removeAttr( 'disabled' );
					lock_unlock_product();

				}

			}
		).change();

		$( '#_ywmmq_product_quantity_limit_override' ).change(
			function () {
				lock_unlock_product();
			}
		).change();

		$( '#_ywmmq_product_quantity_limit_variations_override' ).change(
			function () {

				if ( $( '#_ywmmq_product_quantity_limit_override' ).is( ':checked' ) ) {

					if ( $( this ).is( ':checked' ) ) {

						$( '#_ywmmq_product_minimum_quantity' ).attr( 'disabled', 'disabled' );
						$( '#_ywmmq_product_maximum_quantity' ).attr( 'disabled', 'disabled' );
						$( '#_ywmmq_product_step_quantity' ).attr( 'disabled', 'disabled' );
						$( '.ywmmq-variation-field' ).each(
							function () {
								$( this ).removeAttr( 'disabled' );
							}
						);
					} else {

						$( '#_ywmmq_product_minimum_quantity' ).removeAttr( 'disabled' );
						$( '#_ywmmq_product_maximum_quantity' ).removeAttr( 'disabled' );
						$( '#_ywmmq_product_step_quantity' ).removeAttr( 'disabled' );
						$( '.ywmmq-variation-field' ).each(
							function () {
								$( this ).attr( 'disabled', 'disabled' );
							}
						);
					}

				}

			}
		).change();

		$( '#woocommerce-product-data' ).on(
			'woocommerce_variations_loaded',
			function () {
				$( '.ywmmq-variation-field' ).each(
					function () {
						if ( $( '#_ywmmq_product_quantity_limit_override' ).is( ':checked' ) && $( '#_ywmmq_product_quantity_limit_variations_override' ).is( ':checked' ) ) {
							$( this ).removeAttr( 'disabled' );
						} else {
							$( this ).attr( 'disabled', 'disabled' );
						}
					}
				);
			}
		)

	}
);
