<?php
/**
 * Plugin Name: افزونه حداقل و حداکثر ووکامرس
 * Plugin URI: https://yithemes.com/themes/plugins/yith-woocommerce-minimum-maximum-quantity/
 * Description: افزونه حداقل و حداکثر مقدار خرید محصولات ووکامرس به شما این امکان را می‌دهد تا بتوانید بر روی محصولات فروشگاه ووکامرسی خود محدودیت مقدار خرید را قرار دهید. این افزونه به شما این امکان را می‌دهد تا بتوانید بر روی تعداد خرید محصولات خود محدودیت ایجاد کرده و حداقل و حداکثر تعداد خرید را قرار دهید<code><strong>YITH WooCommerce Minimum Maximum Quantity</strong></code>با افزونه   
 * Author: ووکامرس فارسی
 * Text Domain: yith-woocommerce-minimum-maximum-quantity
 * Version: 1.7.0
 * Author URI: https://woocommerce.ir
 * WC requires at least: 4.5.0
 * WC tested up to: 5.5
 *
 * @package YITH WooCommerce Minimum Maximum Quantity
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;// Exit if accessed directly.
}

if ( ! function_exists( 'is_plugin_active' ) ) {
	require_once ABSPATH . 'wp-admin/includes/plugin.php';
}

/**
 * Show error message if WooCommerce is disabled
 *
 * @return  void
 * @since   1.0.0
 * @author  Alberto Ruggiero <alberto.ruggiero@yithemes.com>
 */
function ywmmq_install_woocommerce_premium_admin_notice() {
	?>
	<div class="error">
		<p>
			<?php
			/* translators: %s name of the plugin */
			echo sprintf( esc_html__( '%s is enabled but not effective. In order to work, it requires WooCommerce.', 'yith-woocommerce-minimum-maximum-quantity' ), 'YITH WooCommerce Minimum Maximum Quantity' );
			?>
		</p>
	</div>
	<?php
}

if ( ! defined( 'YWMMQ_VERSION' ) ) {
	define( 'YWMMQ_VERSION', '1.7.0' );
}

if ( ! defined( 'YWMMQ_INIT' ) ) {
	define( 'YWMMQ_INIT', plugin_basename( __FILE__ ) );
}

if ( ! defined( 'YWMMQ_SLUG' ) ) {
	define( 'YWMMQ_SLUG', 'yith-woocommerce-minimum-maximum-quantity' );
}

if ( ! defined( 'YWMMQ_SECRET_KEY' ) ) {
	define( 'YWMMQ_SECRET_KEY', '1415b451be1a13c283ba771ea52d38bb' );
}

if ( ! defined( 'YWMMQ_PREMIUM' ) ) {
	define( 'YWMMQ_PREMIUM', '1' );
}

if ( ! defined( 'YWMMQ_FILE' ) ) {
	define( 'YWMMQ_FILE', __FILE__ );
}

if ( ! defined( 'YWMMQ_DIR' ) ) {
	define( 'YWMMQ_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'YWMMQ_URL' ) ) {
	define( 'YWMMQ_URL', plugins_url( '/', __FILE__ ) );
}

if ( ! defined( 'YWMMQ_ASSETS_URL' ) ) {
	define( 'YWMMQ_ASSETS_URL', YWMMQ_URL . 'assets' );
}

if ( ! defined( 'YWMMQ_TEMPLATE_PATH' ) ) {
	define( 'YWMMQ_TEMPLATE_PATH', YWMMQ_DIR . 'templates' );
}

/* Plugin Framework Version Check */
if ( ! function_exists( 'yit_maybe_plugin_fw_loader' ) && file_exists( YWMMQ_DIR . 'plugin-fw/init.php' ) ) {
	require_once YWMMQ_DIR . 'plugin-fw/init.php';
}
yit_maybe_plugin_fw_loader( YWMMQ_DIR );

/**
 * Run plugin
 *
 * @return  void
 * @since   1.0.0
 * @author  Alberto Ruggiero <alberto.ruggiero@yithemes.com>
 */
function ywmmq_init() {

	/* Load text domain */
	load_plugin_textdomain( 'yith-woocommerce-minimum-maximum-quantity', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

	/* === Global YITH WooCommerce Minimum Maximum Quantity  === */
	YITH_WMMQ();

}

add_action( 'ywmmq_init', 'ywmmq_init' );

/**
 * Initialize plugin
 *
 * @return void
 * @since   1.0.0
 * @author  Alberto Ruggiero <alberto.ruggiero@yithemes.com>
 */
function ywmmq_install() {

	if ( ! function_exists( 'WC' ) ) {
		add_action( 'admin_notices', 'ywmmq_install_woocommerce_premium_admin_notice' );
	} else {
		do_action( 'ywmmq_init' );
	}

}

add_action( 'plugins_loaded', 'ywmmq_install', 11 );

/**
 * Init default plugin settings
 */
if ( ! function_exists( 'yith_plugin_registration_hook' ) ) {
	require_once 'plugin-fw/yit-plugin-registration-hook.php';
}

register_activation_hook( __FILE__, 'yith_plugin_registration_hook' );

if ( ! function_exists( 'YITH_WMMQ' ) ) {

	/**
	 * Unique access to instance of YITH_WC_Min_Max_Qty
	 *
	 * @return  YITH_WC_Min_Max_Qty
	 * @since   1.0.0
	 * @author  Alberto Ruggiero <alberto.ruggiero@yithemes.com>
	 */
	function YITH_WMMQ() {//phpcs:ignore
		// Load required classes and functions.
		require_once YWMMQ_DIR . 'class.yith-wc-min-max-qty.php';

		return YITH_WC_Min_Max_Qty::get_instance();
	}
}
